Subject: Re: [PATCH v3 2/3] net: mdio: add reset control for Aspeed MDIO

From: "Russell King (Oracle)" <[email-masked]>
Date: Thu, 31 Mar 2022 08:12:25 +0100

Hi,

On Fri, Mar 25, 2022 at 12:14:50PM +0800, Dylan Hung wrote:
> Add reset assertion/deassertion for Aspeed MDIO.  There are 4 MDIO
> controllers embedded in Aspeed AST2600 SOC and share one reset control
> register SCU50[3].  To work with old DT blobs which don't have the reset
> property, devm_reset_control_get_optional_shared is used in this change.
> 
> Signed-off-by: Dylan Hung <[email-masked]>
> Reviewed-by: Philipp Zabel <[email-masked]>

Should this really be specific to one driver rather than being handled
in the core mdio code?

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!